Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/captcha.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/captcha.py	(revision 7306)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/captcha.py	(revision 7307)
@@ -94,5 +94,5 @@
     """
 
-class ICaptchaChooser(Interface):
+class ICaptchaManager(Interface):
     """A chooser that collects available captchas.
     """
@@ -108,7 +108,7 @@
 # Global captcha chooser
 #
-class CaptchaChooser(grok.GlobalUtility):
-
-    grok.implements(ICaptchaChooser)
+class CaptchaManager(grok.GlobalUtility):
+
+    grok.implements(ICaptchaManager)
 
     def getAvailCaptchas(self):
@@ -265,5 +265,5 @@
     * get the currently site-wide selected captcha type by doing::
 
-        mycaptcha = getUtility(ICaptchaChooser).getCaptcha()
+        mycaptcha = getUtility(ICaptchaManager).getCaptcha()
 
     * if you want a specific captcha type (like ReCaptcha)::
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_captcha.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_captcha.py	(revision 7306)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_captcha.py	(revision 7307)
@@ -23,8 +23,8 @@
 from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
 from waeup.sirp.browser.captcha import (
-    ICaptchaResponse, ICaptchaRequest, ICaptcha, ICaptchaChooser)
+    ICaptchaResponse, ICaptchaRequest, ICaptcha, ICaptchaManager)
 from waeup.sirp.browser.captcha import (
     CaptchaResponse, CaptchaRequest, NullCaptcha, StaticCaptcha, ReCaptcha,
-    CaptchaChooser)
+    CaptchaManager)
 
 class CaptchaResponseTests(FunctionalTestCase):
@@ -180,5 +180,5 @@
         return
 
-class CaptchaChooserTests(FunctionalTestCase):
+class CaptchaManagerTests(FunctionalTestCase):
     # These tests do not require a site setup
     # See testsuite below for insite tests.
@@ -188,18 +188,18 @@
     def test_ifaces(self):
         # make sure we implement the promised interfaces
-        obj = CaptchaChooser()
-        verify.verifyClass(ICaptchaChooser, CaptchaChooser)
-        verify.verifyObject(ICaptchaChooser, obj)
+        obj = CaptchaManager()
+        verify.verifyClass(ICaptchaManager, CaptchaManager)
+        verify.verifyObject(ICaptchaManager, obj)
         return
 
     def test_utility(self):
         # the global captcha chooser is registered as a global utility
-        result = getUtility(ICaptchaChooser)
-        self.assertTrue(isinstance(result, CaptchaChooser))
+        result = getUtility(ICaptchaManager)
+        self.assertTrue(isinstance(result, CaptchaManager))
         return
 
     def test_get_avail_captchas(self):
         # we can get a dict of available captchas.
-        chooser = getUtility(ICaptchaChooser)
+        chooser = getUtility(ICaptchaManager)
         result = dict(chooser.getAvailCaptchas())
         no_captcha = result.get('No captcha', None)
@@ -212,5 +212,5 @@
         # if there is no site set, we get the default captcha
         setSite(None)
-        chooser = getUtility(ICaptchaChooser)
+        chooser = getUtility(ICaptchaManager)
         result = chooser.getCaptcha()
         default = getUtility(ICaptcha)
@@ -221,10 +221,10 @@
     pass
 
-class CaptchaChooserTestsWithSite(FunctionalTestCase):
+class CaptchaManagerTestsWithSite(FunctionalTestCase):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(CaptchaChooserTestsWithSite, self).setUp()
+        super(CaptchaManagerTestsWithSite, self).setUp()
         self.getRootFolder()['app'] = FakeSite()
         self.site = self.getRootFolder()['app']
@@ -232,5 +232,5 @@
 
     def tearDown(self):
-        super(CaptchaChooserTestsWithSite, self).tearDown()
+        super(CaptchaManagerTestsWithSite, self).tearDown()
         clearSite(self.site)
         return
@@ -240,5 +240,5 @@
         # the default captcha
         setSite(self.site)
-        chooser = getUtility(ICaptchaChooser)
+        chooser = getUtility(ICaptchaManager)
         result = chooser.getCaptcha()
         default = getUtility(ICaptcha)
@@ -251,5 +251,5 @@
         setSite(self.site)
         self.site['configuration'] = dict()
-        chooser = getUtility(ICaptchaChooser)
+        chooser = getUtility(ICaptchaManager)
         result = chooser.getCaptcha()
         default = getUtility(ICaptcha)
@@ -262,5 +262,5 @@
         setSite(self.site)
         self.site['configuration'] = dict(captcha='invalid name')
-        chooser = getUtility(ICaptchaChooser)
+        chooser = getUtility(ICaptchaManager)
         result = chooser.getCaptcha()
         default = getUtility(ICaptcha)
@@ -273,5 +273,5 @@
         setSite(self.site)
         self.site['configuration'] = dict(captcha='No captcha')
-        chooser = getUtility(ICaptchaChooser)
+        chooser = getUtility(ICaptchaManager)
         result = chooser.getCaptcha()
         no_captcha = getUtility(ICaptcha, name='No captcha')