Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filedisplay.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filedisplay.pt	(revision 7318)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filedisplay.pt	(revision 7319)
@@ -2,5 +2,5 @@
   <td class="label">
     <label i18n:translate="">
-        <span tal:replace="viewlet/label">FILENAME</span>
+        <span tal:replace="viewlet/label">FILENAME</span>:
     </label>
   </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7318)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7319)
@@ -2,5 +2,5 @@
   <td class="label">
     <label i18n:translate="" tal:attributes="for viewlet/input_name">
-        <span tal:replace="viewlet/label">FILENAME</span>
+        <span tal:replace="viewlet/label">FILENAME</span>:
     </label>
   </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py	(revision 7318)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py	(revision 7319)
@@ -51,5 +51,9 @@
 FONT_COLOR = 'black'
 
-def formatted_string(color=FONT_COLOR, size=FONT_SIZE):
+def formatted_label(color=FONT_COLOR, size=FONT_SIZE):
+    tag1 ='<font color=%s size=%d>' % (color, size)
+    return tag1 + '%s:</font>'
+
+def formatted_text(color=FONT_COLOR, size=FONT_SIZE):
     tag1 ='<font color=%s size=%d>' % (color, size)
     return tag1 + '%s</font>'
@@ -98,7 +102,7 @@
         if widget.name == 'form.adm_code':
             continue
-        f_label = formatted_string() % widget.label.strip()
+        f_label = formatted_label() % widget.label.strip()
         f_label = Paragraph(f_label, style["Normal"])
-        f_text = formatted_string() % widget()
+        f_text = formatted_text() % widget()
         f_text = Paragraph(f_text, style["Normal"])
         data_right.append([f_label,f_text])
@@ -116,5 +120,5 @@
     style = getSampleStyleSheet()
     for element in tableheader:
-        field = formatted_string(color='white') % element[0]
+        field = formatted_text(color='white') % element[0]
         field = Paragraph(field, style["Normal"])
         line.append(field)
@@ -123,5 +127,5 @@
         line = []
         for element in tableheader:
-              field = formatted_string() % str(getattr(ticket,element[1],u' '))
+              field = formatted_text() % str(getattr(ticket,element[1],u' '))
               field = Paragraph(field, style["Normal"])
               line.append(field)
@@ -252,7 +256,7 @@
         data = []
         for widget in view.widgets:
-            f_label = formatted_string() % widget.label.strip()
+            f_label = formatted_label() % widget.label.strip()
             f_label = Paragraph(f_label, style["Normal"])
-            f_text = formatted_string() % str(widget())
+            f_text = formatted_text() % str(widget())
             f_text = Paragraph(f_text, style["Normal"])
             data.append([f_label,f_text])
@@ -272,5 +276,5 @@
             # Insert list of scanned documents
             for viewlet in fm.viewlets:
-                f_label = formatted_string() % viewlet.label
+                f_label = formatted_label() % viewlet.label
                 f_label = Paragraph(f_label, style["Normal"])
                 if viewlet.template.__grok_name__ == 'imagedisplay':
@@ -284,5 +288,5 @@
                     data.append([f_label,doc_img])
                 else:
-                    f_text = formatted_string() % viewlet.title
+                    f_text = formatted_text() % viewlet.title
                     f_text = Paragraph(f_text, style["Normal"])
                     data.append([f_label,f_text])
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7318)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7319)
@@ -280,5 +280,5 @@
     grok.order(1)
     grok.require('waeup.viewStudent')
-    label = u'File:'
+    label = u'File'
     title = u'Scan'
     download_name = u'filename.jpg'
@@ -347,5 +347,5 @@
     grok.require('waeup.viewStudent')
     grok.template('imagedisplay')
-    label = u'Passport Picture:'
+    label = u'Passport Picture'
     download_name = u'passport.jpg'
 
@@ -358,5 +358,5 @@
     grok.require('waeup.manageStudent')
     grok.template('imageupload')
-    label = u'Passport Picture (jpg only):'
+    label = u'Passport Picture (jpg only)'
     mus = 1024 * 50
     download_name = u'passport.jpg'
@@ -373,5 +373,5 @@
     """
     grok.order(1)
-    label = u'Birth Certificate:'
+    label = u'Birth Certificate'
     title = u'Birth Certificate Scan'
     download_name = u'birth_certificate'
@@ -384,5 +384,5 @@
     """
     grok.order(1)
-    label = u'Birth Certificate:'
+    label = u'Birth Certificate'
     title = u'Birth Certificate Scan'
     mus = 1024 * 150
@@ -394,5 +394,5 @@
     """
     grok.order(1)
-    label = u'Acceptance Letter:'
+    label = u'Acceptance Letter'
     title = u'Acceptance Letter Scan'
     download_name = u'acceptance_letter'
@@ -405,5 +405,5 @@
     """
     grok.order(2)
-    label = u'Acceptance Letter:'
+    label = u'Acceptance Letter'
     title = u'Acceptance Letter Scan'
     mus = 1024 * 150