Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/__init__.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/__init__.py	(revision 7321)
@@ -2,6 +2,6 @@
 
 from waeup.sirp.browser.layout import (
-    WAeUPPage, WAeUPForm, WAeUPLayout, WAeUPDisplayFormPage, WAeUPEditFormPage,
-    WAeUPAddFormPage, NullValidator)
+    SIRPPage, SIRPForm, SIRPLayout, SIRPDisplayFormPage, SIRPEditFormPage,
+    SIRPAddFormPage, NullValidator)
 from waeup.sirp.browser.pages import ContactAdminForm
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7321)
@@ -33,5 +33,5 @@
     """
     grok.provides(IBreadcrumb)
-    grok.context(interfaces.IWAeUPObject)
+    grok.context(interfaces.ISIRPObject)
     grok.name('index')
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7321)
@@ -1,6 +1,6 @@
-Browsing the WAeUP portal
-*************************
-
-Here we visit all parts of a WAeUP portal using a browser.
+Browsing SIRP
+*************
+
+Here we visit all parts of a SIRP portal using a browser.
 
 University
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py	(revision 7321)
@@ -22,5 +22,5 @@
 from zope.publisher.interfaces import INotFound
 from zope.security.interfaces import IUnauthorized
-from waeup.sirp.browser.layout import WAeUPPage
+from waeup.sirp.browser.layout import SIRPPage
 
 grok.templatedir('templates')
@@ -61,5 +61,5 @@
 
 
-class NotFoundPage(WAeUPPage):
+class NotFoundPage(SIRPPage):
     """A page rendered when an object cannot be found.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7321)
@@ -21,5 +21,5 @@
 from zope.interface import Interface, Attribute
 from waeup.sirp.interfaces import (
-    IWAeUPObject, IUniversity, IUsersContainer, IDataCenter)
+    ISIRPObject, IUniversity, IUsersContainer, IDataCenter)
 from waeup.sirp.university.interfaces import (
     IFacultyContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7321)
@@ -29,7 +29,7 @@
 from zope.interface import Interface
 from zope.site.hooks import getSite
-from waeup.sirp.interfaces import IWAeUPObject, IUserAccount
+from waeup.sirp.interfaces import ISIRPObject, IUserAccount
 from waeup.sirp.browser.interfaces import ITheme
-from waeup.sirp.browser.theming import get_all_themes, WAeUPThemeGray1
+from waeup.sirp.browser.theming import get_all_themes, SIRPThemeGray1
 from waeup.sirp.students.interfaces import IStudentNavigation
 from waeup.sirp.applicants.interfaces import IApplicant
@@ -101,10 +101,10 @@
         return True
 
-class WAeUPLayout(Layout, UtilityView):
+class SIRPLayout(Layout, UtilityView):
     """A megrok.layout.Layout with additional methods.
     """
     grok.baseclass()
 
-class WAeUPForm(Form, UtilityView):
+class SIRPForm(Form, UtilityView):
     """A megrok.layout.Form with additional methods.
     """
@@ -112,5 +112,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(WAeUPForm,self).setUpWidgets(ignore_request)
+        super(SIRPForm,self).setUpWidgets(ignore_request)
         if self.widgets.get('subject'):
             self.widgets['subject'].displayWidth = 45
@@ -120,10 +120,10 @@
             self.widgets['body'].width = 35
 
-class WAeUPPage(Page):
+class SIRPPage(Page):
     """A megrok.layout page with additional methods.
     """
     grok.baseclass()
 
-class WAeUPDisplayFormPage(DisplayForm, UtilityView):
+class SIRPDisplayFormPage(DisplayForm, UtilityView):
     """A megrok.layout.DisplayForm with additional methods.
     """
@@ -131,5 +131,5 @@
     template = default_waeup_display_template
 
-class WAeUPEditFormPage(EditForm, UtilityView):
+class SIRPEditFormPage(EditForm, UtilityView):
     """A megrok.layout.EditForm with additional methods.
     """
@@ -138,5 +138,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(WAeUPEditFormPage,self).setUpWidgets(ignore_request)
+        super(SIRPEditFormPage,self).setUpWidgets(ignore_request)
         if self.widgets.get('title'):
             self.widgets['title'].displayWidth = 80
@@ -148,5 +148,5 @@
             self.widgets['notice'].height = 3
 
-class WAeUPAddFormPage(AddForm,  UtilityView):
+class SIRPAddFormPage(AddForm,  UtilityView):
     """A megrok.layout.AddForm with additional methods.
     """
@@ -154,11 +154,11 @@
     template = default_waeup_edit_template
 
-class SiteLayout(WAeUPLayout):
+class SiteLayout(SIRPLayout):
     """ The general site layout.
     """
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
 
     #: An instance of the default theme to use for the site layout
-    default_theme = WAeUPThemeGray1()
+    default_theme = SIRPThemeGray1()
     stafftemp = grok.PageTemplateFile('templates/staffsitelayout.pt')
     studenttemp = grok.PageTemplateFile('templates/studentsitelayout.pt')
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-""" Viewing components for WAeUP objects.
+""" Viewing components for SIRP objects.
 """
 import copy
@@ -38,6 +38,6 @@
 from zope.session.interfaces import ISession
 from waeup.sirp.browser import (
-    WAeUPPage, WAeUPForm, WAeUPEditFormPage, WAeUPAddFormPage,
-    WAeUPDisplayFormPage, NullValidator)
+    SIRPPage, SIRPForm, SIRPEditFormPage, SIRPAddFormPage,
+    SIRPDisplayFormPage, NullValidator)
 from waeup.sirp.browser.interfaces import (
     IUniversity, IFacultyContainer, IFaculty, IFacultyAdd,
@@ -46,6 +46,6 @@
 from waeup.sirp.browser.resources import warning, datepicker, tabs, datatable
 from waeup.sirp.interfaces import(
-    IWAeUPObject, IUsersContainer, IUserAccount, IDataCenter,
-    IWAeUPXMLImporter, IWAeUPXMLExporter, IBatchProcessor,
+    ISIRPObject, IUsersContainer, IUserAccount, IDataCenter,
+    ISIRPXMLImporter, ISIRPXMLExporter, IBatchProcessor,
     ILocalRolesAssignable, DuplicationError, IConfigurationContainer,
     ISessionConfiguration, ISessionConfigurationAdd,
@@ -60,5 +60,5 @@
 from waeup.sirp.utils.helpers import get_user_account, send_mail
 
-grok.context(IWAeUPObject)
+grok.context(ISIRPObject)
 grok.templatedir('templates')
 
@@ -139,9 +139,9 @@
 #
 
-class LoginPage(WAeUPPage):
+class LoginPage(SIRPPage):
     """A login page, available for all objects.
     """
     grok.name('login')
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.require('waeup.Public')
     title = u'Login'
@@ -174,8 +174,8 @@
 
 
-class LogoutPage(WAeUPPage):
+class LogoutPage(SIRPPage):
     """A logout page. Calling this page will log the current user out.
     """
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.require('waeup.Public')
     grok.name('logout')
@@ -185,5 +185,5 @@
             auth = getUtility(IAuthentication)
             ILogout(auth).logout(self.request)
-            self.flash("You have been logged out. Thanks for using WAeUP SIRP!")
+            self.flash("You have been logged out. Thanks for using SIRP SIRP!")
         self.redirect(self.application_url())
 
@@ -192,5 +192,5 @@
 #
 
-class ContactAdminForm(WAeUPForm):
+class ContactAdminForm(SIRPForm):
     grok.name('contactadmin')
     #grok.context(IUniversity)
@@ -263,5 +263,5 @@
 #
 
-class UniversityPage(WAeUPDisplayFormPage):
+class UniversityPage(SIRPDisplayFormPage):
     """ The main university page.
     """
@@ -286,5 +286,5 @@
         return view.widgets['frontpage']()
 
-class AdministrationPage(WAeUPPage):
+class AdministrationPage(SIRPPage):
     """ The administration overview page.
     """
@@ -333,5 +333,5 @@
 #
 
-class UsersContainerPage(WAeUPPage):
+class UsersContainerPage(SIRPPage):
     """Overview page for all local users.
     """
@@ -370,5 +370,5 @@
         return site_roles_string
 
-class AddUserFormPage(WAeUPAddFormPage):
+class AddUserFormPage(SIRPAddFormPage):
     grok.require('waeup.manageUsers')
     grok.context(IUsersContainer)
@@ -407,5 +407,5 @@
         self.redirect(self.url(self.context))
 
-class UserManageFormPage(WAeUPEditFormPage):
+class UserManageFormPage(SIRPEditFormPage):
     """Manage a user account.
     """
@@ -499,5 +499,5 @@
         return "%s (%s)" % (self.context.title, self.context.__name__)
 
-class MyRolesPage(WAeUPPage):
+class MyRolesPage(SIRPPage):
     """Display site roles and local roles assigned to officers.
     """
@@ -535,5 +535,5 @@
 #
 
-class SearchPage(WAeUPPage):
+class SearchPage(SIRPPage):
     """General search page for the academics section.
     """
@@ -562,5 +562,5 @@
 #
 
-class ConfigurationContainerDisplayFormPage(WAeUPDisplayFormPage):
+class ConfigurationContainerDisplayFormPage(SIRPDisplayFormPage):
     """View page of the configuration container.
     """
@@ -574,5 +574,5 @@
     form_fields['frontpage'].custom_widget = ReSTDisplayWidget
 
-class ConfigurationContainerManageFormPage(WAeUPEditFormPage):
+class ConfigurationContainerManageFormPage(SIRPEditFormPage):
     """Manage page of the configuration container. We always use the
     manage page in the UI not the view page, thus we use the index name here.
@@ -629,5 +629,5 @@
         return
 
-class SessionConfigurationAddFormPage(WAeUPAddFormPage):
+class SessionConfigurationAddFormPage(SIRPAddFormPage):
     """Add a session configuration object to configuration container.
     """
@@ -657,5 +657,5 @@
         return
 
-class SessionConfigurationManageFormPage(WAeUPEditFormPage):
+class SessionConfigurationManageFormPage(SIRPEditFormPage):
     """Manage session configuration object.
     """
@@ -692,5 +692,5 @@
 #
 
-class DatacenterPage(WAeUPPage):
+class DatacenterPage(SIRPPage):
     grok.context(IDataCenter)
     grok.name('index')
@@ -699,5 +699,5 @@
     pnav = 0
 
-class DatacenterUploadPage(WAeUPPage):
+class DatacenterUploadPage(SIRPPage):
     grok.context(IDataCenter)
     grok.name('upload')
@@ -743,5 +743,5 @@
         return '%s_%s%s' % (base, filtered_username, ext.lower())
 
-class DatacenterImportStep1(WAeUPPage):
+class DatacenterImportStep1(SIRPPage):
     """Manual import step 1: choose file
     """
@@ -773,5 +773,5 @@
             self.redirect(self.url(self.context, '@@import2'))
 
-class DatacenterImportStep2(WAeUPPage):
+class DatacenterImportStep2(SIRPPage):
     """Manual import step 2: choose importer
     """
@@ -891,5 +891,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep3(WAeUPPage):
+class DatacenterImportStep3(SIRPPage):
     """Manual import step 3: modify header
     """
@@ -995,5 +995,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep4(WAeUPPage):
+class DatacenterImportStep4(SIRPPage):
     """Manual import step 4: do actual import
     """
@@ -1052,5 +1052,5 @@
                 linenum - (self.warn_num)))
 
-class DatacenterLogsOverview(WAeUPPage):
+class DatacenterLogsOverview(SIRPPage):
     grok.context(IDataCenter)
     grok.name('logs')
@@ -1073,5 +1073,5 @@
         self.files = self.context.getLogFiles()
 
-class DatacenterLogsFileview(WAeUPPage):
+class DatacenterLogsFileview(SIRPPage):
     grok.context(IDataCenter)
     grok.name('show')
@@ -1092,5 +1092,5 @@
         self.filecontents = open(fullpath, 'rb').read()
 
-class DatacenterSettings(WAeUPPage):
+class DatacenterSettings(SIRPPage):
     grok.context(IDataCenter)
     grok.name('manage')
@@ -1132,5 +1132,5 @@
 
     def render(self):
-        exporter = IWAeUPXMLExporter(self.context)
+        exporter = ISIRPXMLExporter(self.context)
         xml = exporter.export().read()
         self.response.setHeader(
@@ -1138,5 +1138,5 @@
         return xml
 
-class ImportXMLPage(WAeUPPage):
+class ImportXMLPage(SIRPPage):
     """Replace the context object by an object created from an XML
        representation.
@@ -1154,5 +1154,5 @@
         if not xmlfile:
             return
-        importer = IWAeUPXMLImporter(self.context)
+        importer = ISIRPXMLImporter(self.context)
         obj = importer.doImport(xmlfile)
         if type(obj) != type(self.context):
@@ -1175,5 +1175,5 @@
 #
 
-class FacultyContainerPage(WAeUPPage):
+class FacultyContainerPage(SIRPPage):
     """ Index page for faculty containers.
     """
@@ -1186,5 +1186,5 @@
     grok.template('facultypage')
 
-class FacultyContainerManageFormPage(WAeUPEditFormPage):
+class FacultyContainerManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1224,5 +1224,5 @@
 
 
-class FacultyAddFormPage(WAeUPAddFormPage):
+class FacultyAddFormPage(SIRPAddFormPage):
     """ Page form to add a new faculty to a faculty container.
     """
@@ -1253,5 +1253,5 @@
 # Faculty pages
 #
-class FacultyPage(WAeUPPage):
+class FacultyPage(SIRPPage):
     """Index page of faculties.
     """
@@ -1269,5 +1269,5 @@
         return 'Departments'
 
-class FacultyManageFormPage(WAeUPEditFormPage):
+class FacultyManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1341,5 +1341,5 @@
         return del_local_roles(self,3,**data)
 
-class DepartmentAddFormPage(WAeUPAddFormPage):
+class DepartmentAddFormPage(SIRPAddFormPage):
     """Add a department to a faculty.
     """
@@ -1374,5 +1374,5 @@
 # Department pages
 #
-class DepartmentPage(WAeUPPage):
+class DepartmentPage(SIRPPage):
     """Department index page.
     """
@@ -1407,5 +1407,5 @@
             yield(dict(url=url, name=key, container=val))
 
-class ShowStudentsPage(WAeUPPage):
+class ShowStudentsPage(SIRPPage):
     """Page that lists all students in the department.
     """
@@ -1430,5 +1430,5 @@
         return
 
-class DepartmentManageFormPage(WAeUPEditFormPage):
+class DepartmentManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Department` instance.
     """
@@ -1530,5 +1530,5 @@
         return del_local_roles(self,4,**data)
 
-class CourseAddFormPage(WAeUPAddFormPage):
+class CourseAddFormPage(SIRPAddFormPage):
     """Add-form to add course to a department.
     """
@@ -1571,5 +1571,5 @@
         return
 
-class CertificateAddFormPage(WAeUPAddFormPage):
+class CertificateAddFormPage(SIRPAddFormPage):
     """Add-form to add certificate to a department.
     """
@@ -1616,5 +1616,5 @@
 # Courses pages
 #
-class CoursePage(WAeUPPage):
+class CoursePage(SIRPPage):
     """Course index page.
     """
@@ -1629,5 +1629,5 @@
         return 'Course: %s (%s)' % (self.context.title, self.context.code)
 
-class CourseManageFormPage(WAeUPEditFormPage):
+class CourseManageFormPage(SIRPEditFormPage):
     """Edit form page for courses.
     """
@@ -1663,5 +1663,5 @@
 # Certificate pages
 #
-class CertificatePage(WAeUPDisplayFormPage):
+class CertificatePage(SIRPDisplayFormPage):
     """Index page for certificates.
     """
@@ -1683,5 +1683,5 @@
         return super(CertificatePage, self).update()
 
-class CertificateManageFormPage(WAeUPEditFormPage):
+class CertificateManageFormPage(SIRPEditFormPage):
     """Manage the properties of a `Certificate` instance.
     """
@@ -1738,5 +1738,5 @@
 
 
-class CertificateCourseAddFormPage(WAeUPAddFormPage):
+class CertificateCourseAddFormPage(SIRPAddFormPage):
     """Add-page to add a course ref to a certificate
     """
@@ -1771,5 +1771,5 @@
 # Certificate course pages...
 #
-class CertificateCoursePage(WAeUPPage):
+class CertificateCoursePage(SIRPPage):
     """CertificateCourse index page.
     """
@@ -1788,5 +1788,5 @@
         return course_levels.getTerm(self.context.level).title
 
-class CertificateCourseManageFormPage(WAeUPEditFormPage):
+class CertificateCourseManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `CertificateCourse` instance.
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7321)
@@ -257,5 +257,5 @@
     depends=[reset_fonts_grids])
 
-#: Register basic WAeUP base CSS (which is based on ``yuiapp.css`` as a
+#: Register basic SIRP base CSS (which is based on ``yuiapp.css`` as a
 #: resource.
 waeup_base_css = ResourceInclusion(
@@ -263,10 +263,10 @@
     depends=[yuiapp_css, base])
 
-#: The red WAeUP theme registered as a resource.
+#: The red SIRP theme registered as a resource.
 waeuptheme_red1 = ResourceInclusion(
     waeup_sirp, 'waeuptheme-red1.css',
     depends=[waeup_base_css])
 
-#: The gray WAeUP theme registered as a resource.
+#: The gray SIRP theme registered as a resource.
 waeuptheme_gray1 = ResourceInclusion(
     waeup_sirp, 'waeuptheme-gray1.css',
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 7321)
@@ -1,3 +1,3 @@
-/* This is the base stylesheet for WAeUP SIRP. It defines base styles
+/* This is the base stylesheet for SIRP. It defines base styles
 additionally or modifying yuiapp.css styles and yuirfg.css. For themes, please create
 a stylesheet overriding values set here in a file named
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7321)
@@ -23,5 +23,5 @@
 from zope.interface import Interface
 from zope.schema.interfaces import IVocabularyFactory
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 from waeup.sirp.browser.interfaces import ITheme
 from waeup.sirp.browser.resources import (
@@ -30,5 +30,5 @@
     )
 
-class WAeUPThemeBase(grok.GlobalUtility):
+class SIRPThemeBase(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('base waeup theme')
@@ -39,5 +39,5 @@
         return [waeup_base_css]
 
-class WAeUPThemeRed1(grok.GlobalUtility):
+class SIRPThemeRed1(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('red waeup theme')
@@ -48,5 +48,5 @@
         return [waeuptheme_red1]
 
-class WAeUPThemeGray1(grok.GlobalUtility):
+class SIRPThemeGray1(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('gray waeup theme')
@@ -57,5 +57,5 @@
         return [waeuptheme_gray1]
 
-class WAeUPThemeEmpty(grok.GlobalUtility):
+class SIRPThemeEmpty(grok.GlobalUtility):
     """A theme based on jQuery only.
 
@@ -113,4 +113,4 @@
         terms = [(theme.description, name)
                  for name, theme in get_all_themes()]
-        vocab = SimpleWAeUPVocabulary(*terms)
+        vocab = SimpleSIRPVocabulary(*terms)
         return vocab
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7321)
@@ -28,11 +28,11 @@
     IFacultyContainer, IFaculty, IDepartment, ICourse, ICertificate,
     ICertificateCourse, IBreadcrumbContainer, IUniversity, IUsersContainer)
-from waeup.sirp.interfaces import (IWAeUPObject, IWAeUPXMLExporter,
-                                   IWAeUPXMLImporter, IDataCenter, IUserAccount)
-from waeup.sirp.browser.layout import WAeUPPage, default_primary_nav_template
+from waeup.sirp.interfaces import (ISIRPObject, ISIRPXMLExporter,
+                                   ISIRPXMLImporter, IDataCenter, IUserAccount)
+from waeup.sirp.browser.layout import SIRPPage, default_primary_nav_template
 from waeup.sirp.utils.helpers import get_user_account
 
 grok.templatedir('templates')
-grok.context(IWAeUPObject) # Make IWAeUPObject the default context
+grok.context(ISIRPObject) # Make ISIRPObject the default context
 
 class LeftSidebar(grok.ViewletManager):
@@ -74,5 +74,5 @@
     """
     grok.baseclass()
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.viewletmanager(ActionBar)
     icon = 'actionicon_modify.png' # File must exist in static/
@@ -185,5 +185,5 @@
 
 class BreadCrumbs(grok.Viewlet):
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.viewletmanager(BreadCrumbManager)
     grok.order(1)
@@ -227,5 +227,5 @@
     grok.baseclass()
     grok.viewletmanager(LeftSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.order(5)
     grok.require('waeup.manageUniversity')
@@ -279,5 +279,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.view(Interface)
     grok.order(2)
@@ -313,5 +313,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.view(Interface)
     grok.order(5)
@@ -519,5 +519,5 @@
 class BrowseActionButton(ActionButton):
     grok.baseclass()
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.template('actionbutton')
     grok.viewletmanager(ActionBar)