Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7339)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7340)
@@ -58,4 +58,5 @@
 from waeup.sirp.students.vocabularies import StudyLevelSource
 from waeup.sirp.browser.resources import toggleall
+from waeup.sirp.applicants.interfaces import IApplicantBaseData
 from waeup.sirp.hostels.hostel import NOT_OCCUPIED
 from waeup.sirp.utils.helpers import send_mail
@@ -100,4 +101,10 @@
     def title(self):
         return self.context.fullname
+
+class ApplicationBreadcrumb(Breadcrumb):
+    """A breadcrumb for the application data.
+    """
+    grok.context(IApplicantBaseData)
+    title = 'Application'
 
 class SudyCourseBreadcrumb(Breadcrumb):
@@ -468,4 +475,18 @@
             write_log_message(self, 'saved: % s' % fields_string)
         return
+
+class StudentApplicationDisplayFormPage(SIRPDisplayFormPage):
+    """ Page to display application data
+    """
+    grok.context(IApplicantBaseData)
+    grok.name('index')
+    grok.require('waeup.viewStudent')
+    form_fields = grok.AutoFields(IApplicantBaseData)
+    title = 'Application Data'
+    pnav = 4
+
+    @property
+    def label(self):
+        return '%s: Application Data' % self.context.getStudent().fullname
 
 class StudentClearanceDisplayFormPage(SIRPDisplayFormPage):
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7339)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7340)
@@ -368,4 +368,6 @@
         self.assertMatches('...Student admitted by zope.mgr...',
                            self.browser.contents)
+        # Only the StudentApplication object does not exist
+        self.assertFalse('Application Data' in self.browser.contents)
         return
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7339)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7340)
@@ -65,21 +65,34 @@
     text = u'Base Data'
 
+class StudentManageApplicationLink(StudentManageLink):
+    grok.order(2)
+    link = 'application'
+    text = u'Application Data'
+
+    def render(self):
+        application = self.context.getStudent().get(self.link)
+        if application is not None:
+            url = self.view.url(application)
+            return u'<div class="portlet"><a href="%s">%s</a></div>' % (
+                    url, self.text)
+        return ''
+
 class StudentManageClearanceLink(StudentManageLink):
-    grok.order(2)
+    grok.order(3)
     link = 'view_clearance'
     text = u'Clearance Data'
 
 class StudentManagePersonalLink(StudentManageLink):
-    grok.order(2)
+    grok.order(4)
     link = 'view_personal'
     text = u'Personal Data'
 
 class StudentManageStudyCourseLink(StudentManageLink):
-    grok.order(3)
+    grok.order(5)
     link = 'studycourse'
     text = u'Study Course'
 
 class StudentManagePaymentsLink(StudentManageLink):
-    grok.order(4)
+    grok.order(6)
     grok.require('waeup.payStudent')
     link = 'payments'
@@ -87,5 +100,5 @@
 
 class StudentManageAccommodationLink(StudentManageLink):
-    grok.order(5)
+    grok.order(7)
     grok.require('waeup.handleAccommodation')
     link = 'accommodation'
@@ -93,5 +106,5 @@
 
 class StudentManageHistoryLink(StudentManageLink):
-    grok.order(6)
+    grok.order(8)
     link = 'history'
     text = u'History'
@@ -128,31 +141,43 @@
     text = u'Base Data'
 
+class StudentApplicationLink(StudentLink):
+    grok.order(2)
+    link = 'application'
+    text = u'Application Data'
+
+    @property
+    def target_url(self):
+        application = self.context.getStudent().get(self.link)
+        if application is not None:
+            return self.view.url(application)
+        return
+
 class StudentClearanceLink(StudentLink):
-    grok.order(2)
+    grok.order(3)
     link = 'view_clearance'
     text = u'Clearance Data'
 
 class StudentPersonalLink(StudentLink):
-    grok.order(2)
+    grok.order(4)
     link = 'view_personal'
     text = u'Personal Data'
 
 class StudentStudyCourseLink(StudentLink):
-    grok.order(3)
+    grok.order(5)
     link = 'studycourse'
     text = u'Study Course'
 
 class StudentPaymentsLink(StudentLink):
-    grok.order(4)
+    grok.order(6)
     link = 'payments'
     text = u'Payments'
 
 class StudentAccommodationLink(StudentLink):
-    grok.order(5)
+    grok.order(7)
     link = 'accommodation'
     text = u'Accommodation'
 
 class StudentHistoryLink(StudentLink):
-    grok.order(6)
+    grok.order(8)
     link = 'history'
     text = u'History'